package com.happy.service;

import com.happy.Model.FileInfo;
import com.happy.dto.IPage;

import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.io.FileNotFoundException;
import java.util.List;

public interface FileService {

    /**
     * 描述：新增
     * @param file
     * @return
     */
    int insertFile(FileInfo file);

    /**
     * 描述：修改
     * @param file
     * @return
     */
    int updateFile(FileInfo file);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delFile(String id);

    /**
     * 描述：根据linkId删除
     * @param linkId
     * @return
     */
    int delLinkFile(String linkId);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    FileInfo getById(String id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<FileInfo> queryPage(String sqlx, int page, int rows);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<FileInfo> queryList(String sqlx);

    /**
     * 通过linkid获取文件列表
     * @param linkId
     * @return
     */
    List<FileInfo> queryListByLinkId (String linkId);
    /**
     * 描述：查询一条数据
     * @param sqlx
     * @return
     */
    FileInfo getOen(String sqlx);

    /**
     * 描述：批量上传图片
     */
    void uploadImp(List<File> fileList, HttpServletRequest request);

    int batchInsertFile(List<FileInfo> fileInfoList);
}
